Package: groovy.org.codenarc.rule.unused

## [Groovy] Class UnusedPrivateFieldRule

- groovy.org.codenarc.rule.unused.UnusedPrivateFieldRule

- Rule that checks for private fields that are not referenced within the same class.

  The `ignoreFieldNames` property optionally specifies one or more (comma-separated) field names that should be ignored (i.e., that should not cause a rule violation). The name(s) may optionally include wildcard characters ('*' or '?').
  Authors:
    Chris Mair
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `ignoreFieldNames`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected AstVisitor` | `getAstVisitor(SourceCode sourceCode)`
    `` | `protected List<Violation>` | `getViolations(AstVisitor visitor, SourceCode sourceCode)`

- - ### Property Detail

    - #### String ignoreFieldNames

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override protected AstVisitor getAstVisitor(SourceCode sourceCode)

    - #### @Override protected List<Violation> getViolations(AstVisitor visitor, SourceCode sourceCode)